unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Borland.Vcl.StdCtrls, Borland.Vcl.Grids, Borland.Vcl.DBGrids,
  Borland.Vcl.Db, Borland.Vcl.ExtCtrls, KA.Data.KAAdo.Table,
  System.ComponentModel, KA.Data.KAAdo.Database;

type
  TForm1 = class(TForm)
    KAAdoDatabase1: TKAAdoDatabase;
    KAAdoTable1: TKAAdoTable;
    Panel1: TPanel;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    ComboBox1: TComboBox;
    procedure Button1Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.nfm}

procedure TForm1.Button1Click(Sender: TObject);
var
 CS : String;
begin
  CS := KAAdoDatabase1.PromptDataSource(KAAdoDatabase1.ConnectionString);
  If CS <> '' Then
     Begin
       ComboBox1.Clear;
       KAAdoTable1.Close;
       KAAdoDatabase1.Close;
       KAAdoDatabase1.ConnectionString := CS;
       KAAdoDatabase1.ReadOnly  := True;
       KAAdoDatabase1.Connected := True;
       ComboBox1.Items.Text := KAAdoDatabase1.TableNames.Text;
       if ComboBox1.Items.Count > 0 Then
          Begin
            ComboBox1.ItemIndex  := 0;
            ComboBox1Change(ComboBox1);
          End;
     End;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  KAAdoTable1.Close;
  KAAdoTable1.ReadOnly  := True;
  KAAdoTable1.TableName := ComboBox1.Text;
  KAAdoTable1.Open;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ComboBox1.Clear;
  KAAdoTable1.Close;
  KAAdoDatabase1.Close;
end;

end.
